from api_events.tasks2events.default_abstract import AddEventFunctionality


class ProjectTechnical(AddEventFunctionality):
    service_code = "SRO-PRJ-TEC"
    related_code = "PRJ-TEC"
    events = [
        {"function_code": ""},
    ]

    def __new__(cls, *args, **kwargs):
        return super().retrieve_events(cls.events)
